For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETGet Current Subscription
      • POSTSubscribe
      • POSTCancel Subscription
      • POSTChange Plan
      • POSTCancel Scheduled Change
      • GETList Payment Methods
      • POSTAdd Payment Method
      • DELDelete Payment Method
      • PUTSet Default Payment Method
      • GETGet My Credits
      • GETGet My Plan Limits
      • GETList Invoices
      • GETGet Current Notification Preferences
      • PATCHUpdate Current Notification Preferences
      • GETList My Templates
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceusers

Add Payment Method

POST
/api/v1/users/me/payment-methods
POST
/api/v1/users/me/payment-methods
$curl -X POST https://api.onepin.ai/api/v1/users/me/payment-methods \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "client_secret": "seti_1JH8Y2Lz0qyl6XeW3a9bXcDq_secret_9x8y7z6w5v4u3t2s1r0q"
4 },
5 "meta": {
6 "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "timestamp": "2024-01-15T09:30:00Z"
8 }
9}
Create a Stripe SetupIntent to add a new payment method.
Was this page helpful?
Previous

Delete Payment Method

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Response

Successful Response
dataobject
metaobject

Errors

422
Unprocessable Entity Error